package com.ruoyi.ems.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.huashe.common.annotation.Excel;
import com.huashe.common.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 节能计量日对象 adm_ems_eco_d
 *
 * @author ruoyi
 * @date 2025-04-22
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class EmsEcoD extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    private Long id;

    /**
     * 园区代码
     */
    @Excel(name = "园区代码")
    private String areaCode;

    @Excel(name = "园区名称")
    private String areaName;

    /**
     * 日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date date;

    /**
     * 节（千瓦时）
     */
    @Excel(name = "节", readConverterExp = "千=瓦时")
    private Double elecEcoQuantity;

    /**
     * 节电金额（元）
     */
    @Excel(name = "节电金额", readConverterExp = "元=")
    private Double elecEcoCost;

    /**
     * 节水量 （吨）
     */
    @Excel(name = "节水量 ", readConverterExp = "吨=")
    private Double waterEcoQuantity;

    /**
     * 节水金额（元）
     */
    @Excel(name = "节水金额", readConverterExp = "元=")
    private Double waterEcoCost;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("areaCode", getAreaCode())
                .append("date", getDate())
                .append("elecEcoQuantity", getElecEcoQuantity())
                .append("elecEcoCost", getElecEcoCost())
                .append("waterEcoQuantity", getWaterEcoQuantity())
                .append("waterEcoCost", getWaterEcoCost())
                .toString();
    }
}
